## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCUserDefinedFunction

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
                      org.eclipse.datatools.modelbase.sql.routines.impl.UserDefinedFunctionImpl
                          org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCUserDefinedFunction

All Implemented Interfaces:
  ICatalogObject, Function, Routine, UserDefinedFunction, SQLObject

    public class JDBCUserDefinedFunction

extends UserDefinedFunctionImpl
implements ICatalogObject

Constructor Summary
`JDBCUserDefinedFunction()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`EList` `getParameters()`
`Parameter` `getReturnScalar()`
`RoutineResultTable` `getReturnTable()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.FunctionImpl
`basicSetReturnCast, basicSetReturnScalar, basicSetReturnTable, eGet, eInverseRemove, eSet, eUnset, getReturnCast, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScalar, setReturnTable, setStatic, setTransformGroup, setTypePreserving, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Function
`getReturnCast, getTransformGroup, isMutator, isNullCall, isStatic, isTypePreserving, setMutator, setNullCall, setReturnCast, setReturnScalar, setReturnTable, setStatic, setTransformGroup, setTypePreserving`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCUserDefinedFunction

    public JDBCUserDefinedFunction()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getParameters

    public EList getParameters()

  Description copied from class: `RoutineImpl`

  Specified by:
    `getParameters` in interface `Routine`
  Overrides:
    `getParameters` in class `RoutineImpl`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `SQLRoutinesPackage.getRoutine_Parameters()`, `Parameter.getRoutine()`

### getReturnScalar

    public Parameter getReturnScalar()

  Description copied from class: `FunctionImpl`

  Specified by:
    `getReturnScalar` in interface `Function`
  Overrides:
    `getReturnScalar` in class `FunctionImpl`
  Returns:
    the value of the 'Return Scalar' containment reference.
  See Also:
    `Function.setReturnScalar(Parameter)`, `SQLRoutinesPackage.getFunction_ReturnScalar()`

### getReturnTable

    public RoutineResultTable getReturnTable()

  Description copied from class: `FunctionImpl`

  Specified by:
    `getReturnTable` in interface `Function`
  Overrides:
    `getReturnTable` in class `FunctionImpl`
  Returns:
    the value of the 'Return Table' containment reference.
  See Also:
    `Function.setReturnTable(RoutineResultTable)`, `SQLRoutinesPackage.getFunction_ReturnTable()`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `FunctionImpl`

  Overrides:
    `eIsSet` in class `FunctionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.